import axios from "axios";
import { getToken } from "@/utils/token";
const baseURL = "https://lygsh-api.wjzpgz.com/";
// 创建一个 axios 实例
const instance = axios.create({
    baseURL, // 设置基础 URL
    // baseURL: "http://192.168.11.63:8080/", // 设置基础 URL
    timeout: 5000, // 设置请求超时时间
    headers: {
        "Content-Type": "application/json" // 设置默认请求头
    }
});

// 请求拦截器
instance.interceptors.request.use(
    config => {
        // 在这里可以添加请求发送前的处理逻辑，例如添加 token 等
        // const token = localStorage.getItem('token');
        // if (token) {
        //   config.headers.Authorization = `Bearer ${token}`;
        // }·
        // const token =
        //     "eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiIxNTU4NTExMDY1NSIsInVzZXJ0eXBlIjoiYnVzaW5lc3MiLCJleHAiOjE3MjQzNzcwOTcsImNyZWF0ZWQiOjE3MjMwODEwOTc5MTcsImF1dGhvcml0aWVzIjpbeyJhdXRob3JpdHkiOiJCVVNJTkVTUyJ9XX0.pIxkAOBlIjc1WwjUR69hok0-k8me21FbtjBiC4amxZxewwEZCUi2yvlNpCyg-bGSkx4Vx-LaOBvhj_k32jN52g";
        const token = getToken();
        if (token) {
            config.headers["User-Token"] = token;
        }
        return config;
    },
    error => {
        // 处理请求错误
        return Promise.reject(error);
    }
);

// 响应拦截器
instance.interceptors.response.use(
    response => {
        // 在这里可以对响应数据进行预处理
        return response.data;
    },
    error => {
        // 处理响应错误
        // 例如根据不同的错误状态码进行相应的处理
        return Promise.reject(error);
    }
);

export default instance;
